CRAN Package Check Results for Package geospt

Last updated on 2022-01-24 15:54:13 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.0-2 10.83 132.58 143.41 OK
r-devel-linux-x86_64-debian-gcc 1.0-2 8.12 97.36 105.48 OK
r-devel-linux-x86_64-fedora-clang 1.0-2 186.79 NOTE
r-devel-linux-x86_64-fedora-gcc 1.0-2 165.56 OK
r-devel-windows-x86_64-new-UL 1.0-2 27.00 146.00 173.00 OK
r-devel-windows-x86_64-new-TK 1.0-2 NOTE
r-patched-linux-x86_64 1.0-2 15.15 123.39 138.54 OK
r-release-linux-x86_64 1.0-2 8.39 123.03 131.42 OK
r-release-macos-arm64 1.0-2 OK
r-release-macos-x86_64 1.0-2 OK
r-release-windows-ix86+x86_64 1.0-2 26.00 147.00 173.00 OK
r-oldrel-macos-x86_64 1.0-2 OK
r-oldrel-windows-ix86+x86_64 1.0-2 26.00 122.00 148.00 ERROR

Check Details

Version: 1.0-2
Check: Rd cross-references
Result: NOTE
    Undeclared package ‘nloptr’ in Rd xrefs
Flavor: r-devel-linux-x86_64-fedora-clang

Version: 1.0-2
Check: Rd cross-references
Result: NOTE
    Package unavailable to check Rd xrefs: 'nloptr'
Flavor: r-devel-windows-x86_64-new-TK

Version: 1.0-2
Check: data for non-ASCII characters
Result: WARN
     Error loading dataset 'COSha10map':
     Error in .requirePackage(package) : unable to find required package 'sp'
    
     Error loading dataset 'COSha30map':
     Error in .requirePackage(package) : unable to find required package 'sp'
    
     Error loading dataset 'lalib':
     Error in .requirePackage(package) : unable to find required package 'sp'
    
     The dataset(s) may use package(s) not declared in Depends/Imports.
Flavor: r-oldrel-windows-ix86+x86_64

Version: 1.0-2
Check: examples
Result: ERROR
    Running examples in 'geospt-Ex.R' failed
    The error occurred in:
    
    
    R version 4.0.5 (2021-03-31) -- "Shake and Throw"
    Copyright (C) 2021 The R Foundation for Statistical Computing
    Platform: x86_64-w64-mingw32/x64 (64-bit)
    
    R is free software and comes with ABSOLUTELY NO WARRANTY.
    You are welcome to redistribute it under certain conditions.
    Type 'license()' or 'licence()' for distribution details.
    
     Natural language support but running in an English locale
    
    R is a collaborative project with many contributors.
    Type 'contributors()' for more information and
    'citation()' on how to cite R or R packages in publications.
    
    Type 'demo()' for some demos, 'help()' for on-line help, or
    'help.start()' for an HTML browser interface to help.
    Type 'q()' to quit R.
    
    > pkgname <- "geospt"
    > source(file.path(R.home("share"), "R", "examples-header.R"))
    > options(warn = 1)
    > options(pager = "console")
    > library('geospt')
    Error in library("geospt") : there is no package called 'geospt'
    Execution halted
Flavor: r-oldrel-windows-ix86+x86_64